Jump to content
Not connected, Your IP: 35.172.217.174
Staff

Eddie Desktop 2.21 beta released

Recommended Posts

Hello!

 

We're very glad to inform you that a new Eddie Air client version has been released: 2.21 beta. It is ready for public beta testing.

 

How to test our experimental release:

  • Go to download page of your OS
  • Click on Other versions

    client-experimental-howto-1.png

  • Click on Experimental

    client-experimental-howto-2.png

  • Look at the changelog if you wish
  • Download and install

Please see the changelog:

https://eddie.website/changelog/?software=client&format=html




This version contains an almost completely rewritten code for routes management, DNS and more, so please report any difference from the latest stable release 2.20.

This version implements WireGuard support. AirVPN servers will offer it, during an opt-in beta-testing phase, within September.

 

WireGuard support is expected to work out-of-the-box (no need to install anything else but Eddie) in Windows and macOS. In Linux it works if kernel supports it (WG support by kernel is required).

 

PLEASE CONSIDER THIS AS A BETA VERSION.
Don't use it for real connections it's only for those who want to collaborate to the project as beta-testers.

 

Share this post


Link to post

Eddie 2.21 won't connect for me on Bullseye.  Yesterday I updated to the new linux image for bullseye, as per the terminal output below.
user@debian:~$ uname -a
Linux debian 5.10.0-8-amd64 #1 SMP Debian 5.10.46-2 (2021-07-20) x86_64 GNU/Linux

Today I pulled 2.21 through apt-get and it will not connect yet.  I am working on it.  In fact I see no connection at all and the servers in Eddie all show red (not connected).  I dropped my NFT ruleset ---- sudo nft flush ruleset to make sure the firewall wasn't the issue.  I can connect Firefox from the same Desktop and it is very fast and working fine.  Meaning there is no firewall issue.
Here is a snip from the Eddie logs:

2021.07.22 20:17:51 - Eddie version: 2.21.0beta / linux_x64, System: Linux, Name: Unknown, Version: Linux debian 5.10.0-8-amd64 #1 SMP Debian 5.10.46-2 (2021-07-20) x86_64 GNU/Linux, Mono/.Net: 6.8.0.105 (Debian 6.8.0.105+dfsg-3.2 Tue Jun 29 21:01:01 UTC 2021); Framework: v4.0.30319
. 2021.07.22 20:17:51 - Command line arguments (2): path.resources="/usr/share/eddie-ui" path.exec="/usr/bin/eddie-ui"
. 2021.07.22 20:17:51 - Raise system privileges
. 2021.07.22 20:17:55 - Reading options from /home/joe/.config/eddie/default.profile
. 2021.07.22 20:17:56 - Tun Driver - /dev/net/tun
. 2021.07.22 20:17:56 - OpenVPN - Version: 2.5.1 - OpenSSL 1.1.1k  25 Mar 2021, LZO 2.10 (/usr/sbin/openvpn)
. 2021.07.22 20:17:56 - SSH - Version: OpenSSH_8.4p1 Debian-5, OpenSSL 1.1.1k  25 Mar 2021 (/usr/bin/ssh)
. 2021.07.22 20:17:56 - SSL - Version: stunnel 5.56 (/usr/bin/stunnel4)
. 2021.07.22 20:17:56 - curl - Version: 7.74.0 (/usr/bin/curl)
! 2021.07.22 20:17:57 - Activation of Network Lock - Linux nftables
. 2021.07.22 20:17:57 - Network lock not enabled on IPv6 layer. IPv6 seems disabled at system level.
I 2021.07.22 20:17:57 - Ready
. 2021.07.22 20:18:00 - Collect information about AirVPN completed
--------------------------------------------

Then I went back to Eddie 2.20 and see the debian version is recognized as 11.

2021.07.22 20:05:43 - Eddie version: 2.20.0 / linux_x64, System: Linux, Name: Debian GNU/Linux 11 \n \l, Version: Linux debian 5.10.0-8-amd64 #1 SMP Debian 5.10.46-2 (2021-07-20) x86_64 GNU/Linux, Mono/.Net: 6.8.0.105 (Debian 6.8.0.105+dfsg-3.2 Tue Jun 29 21:01:01 UTC 2021); Framework: v4.0.30319
. 2021.07.22 20:05:43 - Command line arguments (2): path.resources="/usr/share/eddie-ui" path.exec="/usr/bin/eddie-ui"
. 2021.07.22 20:05:43 - Raise system privileges
. 2021.07.22 20:05:46 - Profile path: /home/joe/.config/eddie/default.profile
. 2021.07.22 20:05:47 - Reading options from /home/joe/.config/eddie/default.profile
. 2021.07.22 20:05:48 - Tun Driver - /dev/net/tun
. 2021.07.22 20:05:48 - OpenVPN - Version: 2.5.1 - OpenSSL 1.1.1k  25 Mar 2021, LZO 2.10 (/usr/sbin/openvpn)
. 2021.07.22 20:05:48 - SSH - Version: OpenSSH_8.4p1 Debian-5, OpenSSL 1.1.1k  25 Mar 2021 (/usr/bin/ssh)
. 2021.07.22 20:05:48 - SSL - Version: stunnel 5.56 (/usr/bin/stunnel4)
. 2021.07.22 20:05:48 - curl - Version: 7.74.0 (/usr/bin/curl)
! 2021.07.22 20:05:48 - Activation of Network Lock - Linux nftables
. 2021.07.22 20:05:48 - Network lock not enabled on IPv6 layer. IPv6 seems disabled at system level.
I 2021.07.22 20:05:49 - Ready
. 2021.07.22 20:05:49 - Cannot retrieve information about AirVPN: Object reference not set to an instance of an object
----------------------------------------

I have read quite a bit about "Cannot retrieve information about AirVPN: Object reference not set to an instance of an object" but I am not sure where to go with this.  On one of my Buster systems, which is fully updated, is working fine with 2.20 but it breaks immediately with 2.21.

I realize I am using Bullseye knowing its in "full freeze" on development, so its weeks from stable being released.  If I have to I have a great forensic copy of this system using Buster and I can go back.  Two hours and I am back to full Buster.  Rather keep moving forward, since backwards is not how I roll, LOL!

Any help or direction would be appreciated.

******************** ps - I forgot to watch the apt-get closely and was wondering if 2.21 called some debian updates at the same time.  Does 2.21 add extra files to the OS or not?



 

Share this post


Link to post

I am running Windows 8.1 - 64 bit.
According to the change log Eddie 2.21 beta should be running Open VPN  2.5.3.
My download of the Windows 8.1 version is running Open VPN 2.5.1.
I noticed that iwih2gk in his message is also running 2.5.1 with the beta.

Share this post


Link to post
4 hours ago, koob said:

. 2021.07.23 08:16:52 - WireGuard > Unable to delete device
. 2021.07.23 08:16:52 - WireGuard > Setup start
E 2021.07.23 08:16:52 - WireGuard > Error: Unable to add device
. 2021.07.23 08:16:52 - WireGuard > Stopping
. 2021.07.23 08:16:52 - WireGuard > Completed


@koob WireGuard is not implemented on the servers yet. Change back to OpenVPN and everything will work.

» I am not an AirVPN team member. All opinions are my own and are not official. Refer to Staff postings for the official word.

» These are the community forums, not the support portal. You're writing with other users here.

» New here? LZ1's New User Guide to AirVPN. Use the search function, Luke!

» Tor exits behind a VPN connection are discouraged. Using Tor on the other hand is not.

 

» Privacy is like alcohol: Drink a little and it can help you stay unnoticed. Drink a lot and everyone will notice you.

» I cannot give you the solution to all your issues. But I can guide you to it. The rest is up to you.

Share this post


Link to post

2.21 beta working perfectly on Win10 21H!.

Had to roll back to 2.20 on a Win7 32 bit machine because get this error message when trying to launch Eddie:which then shuts down (so can't provide logs).  Any ideas?

Unable to elevate privileges - unable to initialize service 
 

Share this post


Link to post

Working just fine on macOS Big Sur so far.. In the changelog it mentions Hummingbird 1.1.2, is it using Hummingbird now on its own or do I still need to keep the 'Use Hummingbird' box checked with my /usr/local/bin copy?

Share this post


Link to post
19 hours ago, OpenSourcerer said:

@koob WireGuard is not implemented on the servers yet. Change back to OpenVPN and everything will work.
Thanks .  How do I do that ?  Much appreciated .

Share this post


Link to post

@staff,
Windows 7 has esu (extended security updates) till 2023 available. Hope you will continue to support. I know it's a pain to support numerous operating systems.
Regards

Share this post


Link to post

Just checked this new version on W8.1 x64 and W7pro x64 with eddie 2.21.0-portable and no real issues, yes seems to be fine on W7, did notice on both os openvpn.exe was 2.5.1 , now for more testing.

Share this post


Link to post
On 7/24/2021 at 1:05 AM, boblinthewild said:

2.21 beta working perfectly on Windows 11 22000.100.

That's right!

Share this post


Link to post

It runs fine on macOS Catalina 10.15.7, especially thankful that the "refresh connection list, ping"-button it's now working properly and fast.
Previous version would result in the ping-stats being left blank.
Hummingbird is lightning fast, it only has some hickups while "checking dns" this can sometimes take a felt eternity while a few tries are being done before it disconnects finally and I have to chose another server.
Running Hummingbird alone in the Terminal does not have this problem.
Is it safe to disable "check AirVPN DNS" in settings?

Share this post


Link to post

Hello,

I am having one issue with this new beta version. When I boot my system (with Eddie set to start with system), I now get an UAC prompt from Windows for Eddie-UI.exe that I must confirm. I have not seen this since the Eddie-Service-Elevated.exe was added to the Eddie package and Eddie-UI.exe was rewritten several versions back.

I did a complete removal of Eddie (including profile and tunnel drivers), then did a fresh install leaving all settings at default. I still get an UAC prompt for Eddie-UI.exe from Windows at boot that must be confirmed.

This seems to be a bug but of course there is always the possibility that I may be doing something wrong.

Windows 10 Pro 64-bit Version 21H1 (OS Build 19043.1110)

Share this post


Link to post
12 hours ago, puff-m-d said:

Hello,

I am having one issue with this new beta version. When I boot my system (with Eddie set to start with system), I now get an UAC prompt from Windows for Eddie-UI.exe that I must confirm. I have not seen this since the Eddie-Service-Elevated.exe was added to the Eddie package and Eddie-UI.exe was rewritten several versions back.

I did a complete removal of Eddie (including profile and tunnel drivers), then did a fresh install leaving all settings at default. I still get an UAC prompt for Eddie-UI.exe from Windows at boot that must be confirmed.

This seems to be a bug but of course there is always the possibility that I may be doing something wrong.

Windows 10 Pro 64-bit Version 21H1 (OS Build 19043.1110)


Hi! I have encountered the same "issue" on Win10 and after many uninstalling and reinstalling I solved accessing Wiindows Services -> EddieElevationService -> Properties -> Statup Type -> from "Manual" to "Automatic" then rebooted and the problem is solved.

Share this post


Link to post
On 7/23/2021 at 2:10 AM, amateur25 said:

I am running Windows 8.1 - 64 bit.
According to the change log Eddie 2.21 beta should be running Open VPN  2.5.3.
My download of the Windows 8.1 version is running Open VPN 2.5.1.
I noticed that iwih2gk in his message is also running 2.5.1 with the beta.



Package for Windows 7/8 contain OpenVPN 2.5.1, package for Windows 10 contain OpenVPN 2.5.3.
Sorry, a fault in our deploy system, the next beta version (expected in a few days, based on community feedback) will contain 2.5.3 in all supported Windows packages.

Share this post


Link to post

@koob
Not sure how you reach the WireGuard error, WireGuard is implemented but only for selected beta-tester for the moment.
You find "WireGuard" in "Protocol" section, OR you see the tab "Providers"?

Share this post


Link to post
On 7/24/2021 at 5:36 PM, Monotremata said:

Working just fine on macOS Big Sur so far.. In the changelog it mentions Hummingbird 1.1.2, is it using Hummingbird now on its own or do I still need to keep the 'Use Hummingbird' box checked with my /usr/local/bin copy?


You need to keep "Use Hummingbir d" for now, making HB the default may occur in future release.

Share this post


Link to post
13 hours ago, LcKHUNy7 said:

Will Eddie be a requirement for WireGuard, or can I just use wg / wg-quick?


After the testing, our Config Generator will be able to create WireGuard .conf file, usable without Eddie (wg / wg-quick or any official WireGuard app).

Share this post


Link to post
Posted ... (edited)

Hello to Clodo and the team. Thanks for new beta release, I have bug reports that are present even on 2.20.0 (stable).

I put them in a list and have logs where relevant. I can expand further if required.

OS: Windows 10 (various versions, tested on a few different devices).

1: Sometimes, on cold boot, eddie hangs with a message "waiting for deamon". When this happens I can observe via task manager "openvpn.exe" is already running, I kill this process and eddie kicks into life. There is an apparent race condition where openvpn.exe starts before eddie.

2: Eddie is leaking network traffic on boot - even though it is selected to run as a service it sometimes asks during a UAC pop-up to allow eddie to be launched (similar to a bug described above). At times, even when the pop-up does not appear (it's temperamental), I can open firefox, go to whatsmyip and it'll show my real IP.

Eddie needs to work without leaking my real IP for not even 1MS - I never want my real IP leaked, and before eddie starts there are a few seconds where it can, please patch this so there is no connectivity before eddie starts.

3: When I resume from hibernate (cold boot, after several hours) I *always* get errors from Eddie that results in a crash of the entire application. I'll report the exact error next time I see it.


Here are some other errors I noticed, with their relevant log entries:

1

E - Fatal error occured, please contact Eddie support: Routes, remove 0.0.0.0/1 for interface "Local Area Connection (Wintun Userspace Tunnel #2)" failed: Exception: exit:1; out:Element not found. -    at Eddie.Core.Platform.Route(Json jRoute, String action)

2

Fatal error occured, please contact Eddie support: Windows WFP, unexpected: Rule 'ipv6_block_all' already exists -    at Eddie.Platform.Windows.Wfp.AddItem(String code, XmlElement xml)

[The above error is repeated several times]

3

W - Windows WFP, unexpected: Rule 'dns_block_all' already exists

Kind regards.
 

Edited ... by airvpnforumuser

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
  • Security Check
    Play CAPTCHA Audio
    Refresh Image

×
×
  • Create New...